# $Revision: 1.24 $, $Date: 2010/06/06 08:42:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Strip
Summary:	String::Strip - Perl extension for fast, commonly used, string operations
Summary(pl.UTF-8):	String::Strip - rozszerzenie Perla do szybkich, często używanych operacji na łańcuchach
Name:		perl-String-Strip
Version:	1.01
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a1471ad67dbb7375dd0d288026ee7122
URL:		http://search.cpan.org/dist/String-Strip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StripLTSpace	- Removes Leading and Trailing spaces from given string
StripTSpace	- Removes Trailing spaces from given string
StripLSpace	- Removes Leading spaces from given string
StripSpace	- Removes all spaces from given string

I do these things often, and these routines tend to be about 35% faster
than the corresponding regex methods.

%description -l pl.UTF-8
StripLTSpace	- usuwa wiodące i końcowe spacje z podanego łańcucha
StripTSpace	- usuwa końcowe spacje z podanego łańcucha
StripLSpace	- usuwa wiodące spacje z podanego łańcucha
StripSpace	- usuwa wszystkie spacje z podanego łańcucha

Autor modułu często wykonuje te rzeczy, a te funkcje są około 35%
szybsze od odpowiadających im metod używających wyrażeń regularnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Strip
%attr(755,root,root) %{perl_vendorarch}/auto/String/Strip/*.so
%{perl_vendorarch}/auto/String/Strip/*.ix
%{perl_vendorarch}/auto/String/Strip/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Strip.spec,v $
Revision 1.24  2010/06/06 08:42:27  arekm
- release 7

Revision 1.23  2009/03/14 11:59:03  hawk
- release 6

Revision 1.22  2008/03/24 21:21:50  qboosh
- generic URL

Revision 1.21  2008-02-10 12:19:56  arekm
- rel 5

Revision 1.20  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.19  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:46  paladine
- formatting

Revision 1.16  2004/10/31 22:45:36  paladine
- spaces->tabs
- formatting

Revision 1.15  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.14  2004/05/06 18:21:11  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:36:53  qboosh
- it can't be noarch!!!
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
